Summary:	Pcb is a CAD Program for the Design of Printed Circuit Boards
Name:		pcb
Version: 	20070912
Release: 	2.1CUED1
License: 	GPL
Group: 		Productivity/Scientific/Electronics

URL: 		http://pcb.sourceforge.net
Source0: 	http://prdownloads.sourceforge.net/pcb/pcb-%{version}.tar.gz
Patch0: 	pcb-02_A4_default.patch
Patch1: 	pcb-03_dark_colours.patch
Patch2: 	pcb-layer_defaults.patch
Patch3: 	pcb-06_fix_crosshair.patch
Patch4: 	pcb-07_reduce_min_width.patch
Patch5: 	pcb-01_cued_version.patch
Patch6: 	pcb-05_reject_double_clicks.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

Autoreqprov:    On
BuildRequires: 	gd-devel gtk2-devel tk libpng-devel libjpeg-devel freetype2-devel
BuildRequires:  flex bison
PreReq: 	%install_info_prereq


%description
pcb is a CAD (computer aided design) program for the physical design of printed circuit boards.
It has an autorouter, a trace optimizer a design rule checker and many more features.
It can create RS-274-X (Gerber), Postscript, EPS and PNG output files.


%prep
%setup -q
%patch0 -p1 -b .02_A4_default
%patch1 -p1 -b .03_dark_colours
%patch2 -p1 -b .layer_defaults
%patch3 -p1 -b .06_fix_crosshair
%patch4 -p1 -b .07_reduce_min_width
%patch5 -p1 -b .01_cued_version
%patch6 -p1 -b .05_reject_double_clicks

%build
%configure --enable-dbus
%{__make}

%install
%makeinstall

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_prefix}/bin/*
%{_prefix}/share/pcb/*
%{_infodir}/%{name}.info*
%{_mandir}/*


%changelog
* Sun Oct 07 2007 Peter Clifton <pcjc2@cam.ac.uk>
- Release with CUED patches
* Sat Sep 15 2007 Werner Hoch <werner.ho@gmx.de>
- new version 20070912
* Sat Sep 08 2007 Werner Hoch <werner.ho@gmx.de>
- build fix: flex for openSUSE 10.3
* Tue Feb 20 2007 Werner Hoch <werner.ho@gmx.de>
- new version 20070208p1
* Tue Sep 26 2006 Werner Hoch <werner.ho@gmx.de>
- added libjpeg-devel and freetype2-devel required to build
* Wed Aug 30 2006 Werner Hoch <werner.ho@gmx.de>
- removed PNG output. pcb crashes on SuSE 10.1 and there are build problems.
* Tue Aug 29 2006 Werner Hoch <werner.ho@gmx.de>
- added missing libpng-devel: its not in gtk2-devel in SuSE 10.0 and 9.3
* Sat Aug 26 2006 Werner Hoch <werner.ho@gmx.de>
- disabled GIF and JPEG-support as gd-devel in SuSE 10.0 doesn't support it
* Wed Aug 26 2006 Werner Hoch <werner.ho@gmx.de>
- first spec file


